AsterNet Class Library (Sandcastle documentation)

| AGIScript GetData Method (String)

Plays the given file and waits for the user to enter DTMF digits until he presses '#'. The user may interrupt the streaming by starting to enter digits.

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    protected string GetData(
    	string file
    )

    Protected Function GetData (
    	file As String
    ) As String

    protected:
    String^ GetData(
    	String^ file
    )

    member GetData :
            file : string -> string

#### Parameters

file
  Type: System
  String
  the name of the file to play

#### Return Value

Type: String
a String containing the DTMF the user entered
See Also

#### Reference

AGIScript Class
GetData Overload
AsterNET.FastAGI Namespace